package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 店铺配置枚举（配送中心）
 */
@AllArgsConstructor
@Getter
public enum EShop {

    /**
     * 一星店铺
     */
    RANGE_5(1,5, "等级5", 0, EnumsPrefixConstants.SHOP + 5),

    /**
     * 二星星店铺
     */
    RANGE_10(2,10, "等级6", 0, EnumsPrefixConstants.SHOP + 10),

    /**
     * 三星店铺
     */
    RANGE_15(3,15, "等级7", 0, EnumsPrefixConstants.SHOP + 15),

    /**
     * 四星店铺
     */
    RANGE_20(4,20, "等级8", 0, EnumsPrefixConstants.SHOP + 20),

    /**
     * 五星店铺
     */
    RANGE_25(5,25, "等级9", 0, EnumsPrefixConstants.SHOP + 25),


    ;
    /**
     * 序号
     */
    private final int index;
    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;
}
